# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name lifted-base

Name:           ghc-%{pkg_name}
Version:        0.2.1.0
Release:        1%{?dist}
Summary:        Lifted IO operations from the base library

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-base-unicode-symbols-devel
BuildRequires:  ghc-monad-control-devel
BuildRequires:  ghc-transformers-base-devel
# End cabal-rpm deps

%description
lifted-base exports IO operations from the base library lifted to any
instance of MonadBase or MonadBaseControl.

Note that not all modules from base are converted yet.


%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files
%doc README.markdown


%changelog
* Mon Jun 10 2013 Jens Petersen <petersen@redhat.com> - 0.2.1.0-1
- update to 0.2.1.0

* Fri Jun 07 2013 Jens Petersen <petersen@redhat.com> - 0.2.0.2-2
- update to new simplified Haskell Packaging Guidelines

* Tue Mar 12 2013 Jens Petersen <petersen@redhat.com> - 0.2.0.2-1
- update to 0.2.0.2

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Nov 07 2012 Jens Petersen <petersen@redhat.com> - 0.1.2-1
- update to 0.1.2

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jun 13 2012 Jens Petersen <petersen@redhat.com> - 0.1.1-1
- update to 0.1.1

* Tue May  1 2012 Jens Petersen <petersen@redhat.com> - 0.1.0.4-1
- update to 0.1.0.4

* Thu Mar 22 2012 Jens Petersen <petersen@redhat.com> - 0.1.0.3-2
- add license to ghc_files

* Thu Jan 26 2012 Jens Petersen <petersen@redhat.com> - 0.1.0.3-1
- BSD license
- depends on monad-control

* Thu Jan 26 2012 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org>
- spec file template generated by cabal2spec-0.25.4
